Summary: The RIPE version of the whois client program + other tools
Name: ripe-whois-tools
Version: 2.4
Release: 3
Copyright: BSD
Group: Networking/Utilities
Source: ftp://ftp.ripe.net/pub/tools/%{name}-%{version}.tar.gz
Patch0: ripe-whois-tools.diff
BuildRoot: /var/tmp/%{name}-%{version}-root
Obsoletes: ripe-whois

%description
This is a set of C programs (perl versions of the same programs are
available in the RIPE database distribution) to be used in conjunction
with the RIPE database.

%changelog

* Sun Feb 6 1999 Peter Soos <sp@osb.hu>

- make a link named whois to ripe whois if the standard whois
- addes Obsolates: ripe-whois for correct update of the new single package
- modified the patch to use $RPM_OPT_FLAGS to build not only x86 architectures

* Mon Feb 1 1999  Ian Macdonald <ianmacd@xs4all.nl>

- upgraded to 2.4
- updated patch
- merged ripe-whois and ripe-whois-tools into a single package
- renamed whois to ripe-whois to distinguish it from the standard whois
- minor spec file improvements (added macro usage, etc.)

* Tue Jun 23 1998 Peter Soos <sp@osb.hu>

- Using %attr
- Corrected the spec file for rpm 2.5

* Tue Apr 21 1998 Peter Soos <sp@osb.hu>

- Corrected dependencies

* Mon Apr 20 1998 Peter Soos <sp@osb.hu>

- Moved to 2.2

* Tue Dec 12 1997 Peter Soos <sp@osb.hu>

- Recompiled under RedHat Linux 5.0
- Now we use BuildRoot

%prep
%setup -c %{name}-%{version}
%patch -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man1}
make "DESTDIR=$RPM_BUILD_ROOT/usr/bin" \
     "MANDIR=$RPM_BUILD_ROOT/usr/man/man1" \
     install
mv $RPM_BUILD_ROOT/usr/bin/whois $RPM_BUILD_ROOT/usr/bin/ripe-whois
mv $RPM_BUILD_ROOT/usr/man/man1/whois.1 \
   $RPM_BUILD_ROOT/usr/man/man1/ripe-whois.1

%post
if [ ! -e /usr/bin/whois ]; then
   ln -s ripe-whois /usr/bin/whois
fi

%postun
if [ -L /usr/bin/whois ]; then
   ls -l /usr/bin/whois|grep ripe-whois > /dev/null && rm -f /usr/bin/whois
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-, root, root) %doc README
%attr(-, root, root) /usr/bin/ripe-whois
%attr(-, root, root) /usr/man/man1/ripe-whois.1
%attr(-, root, root) /usr/bin/cryptpw 
%attr(-, root, root) /usr/bin/networkupdate
